#pragma once

#using < System.dll>
#using < System.Xml.dll>
#using < System.Web.Services.dll>
#using < mscorlib.dll>

//
// This source code was auto-generated by wsdl, Version=1.1.4322.573.
//
namespace Moliyo {
using namespace System::Diagnostics;
using namespace System::Xml::Serialization;
using namespace System;
using namespace System::Web::Services::Protocols;
using namespace System::ComponentModel;
using namespace System::Web::Services;

using namespace System;
/*public*/ ref class RDBilling;
/*public*/ ref class AuthHeader;

/// <remarks/>
[ System::Diagnostics::DebuggerStepThroughAttribute,
  System::ComponentModel::DesignerCategoryAttribute("code"),
  System::Web::Services::WebServiceBindingAttribute(Name = "RDBillingSoap", Namespace = "http://tempuri.org/") ] public ref class RDBilling : public System::Web::Services::Protocols::SoapHttpClientProtocol {

public:
	Moliyo::AuthHeader ^ AuthHeaderValue;

	/// <remarks/>
public:
	RDBilling();
	/// <remarks/>
public:
	[System::Web::Services::Protocols::SoapHeaderAttribute("AuthHeaderValue")]
		[System::Web::Services::Protocols::SoapDocumentMethodAttribute("http://tempuri.org/PSS_GetMemberBill", RequestNamespace = "http://tempuri.org/", ResponseNamespace = "http://tempuri.org/", Use = System::Web::Services::Description::SoapBindingUse::Literal, ParameterStyle = System::Web::Services::Protocols::SoapParameterStyle::Wrapped)] System::Int32
			PSS_GetMemberBill(System::String ^ UserName);

	/// <remarks/>
public:
	System::IAsyncResult ^ BeginPSS_GetMemberBill(System::String ^ UserName, System::AsyncCallback ^ callback, System::Object ^ asyncState);

	/// <remarks/>
public:
	System::Int32 EndPSS_GetMemberBill(System::IAsyncResult ^ asyncResult);

	/// <remarks/>
public:
	[System::Web::Services::Protocols::SoapHeaderAttribute("AuthHeaderValue")]
		[System::Web::Services::Protocols::SoapDocumentMethodAttribute("http://tempuri.org/PSS_RDMemberTDRIns", RequestNamespace = "http://tempuri.org/", ResponseNamespace = "http://tempuri.org/", Use = System::Web::Services::Description::SoapBindingUse::Literal, ParameterStyle = System::Web::Services::Protocols::SoapParameterStyle::Wrapped)] System::Int32
		PSS_RDMemberTDRIns(System::String ^ emberPK, System::String ^ TranID, System::Int32 Credit, System::String ^ RecTime, System::String ^ Memo, System::Int32 Type, System::Int32 TypeSub);

	/// <remarks/>
public:
	System::IAsyncResult ^ BeginPSS_RDMemberTDRIns(System::String ^ MemberPK, System::String ^ TranID, System::Int32 Credit, System::String ^ RecTime, System::String ^ Memo, System::Int32 Type, System::Int32 TypeSub, System::AsyncCallback ^ callback, System::Object ^ asyncState);

	/// <remarks/>
public:
	System::Int32 EndPSS_RDMemberTDRIns(System::IAsyncResult ^ asyncResult);

	/// <remarks/>
public:
	[System::Web::Services::Protocols::SoapHeaderAttribute("AuthHeaderValue")]
		[System::Web::Services::Protocols::SoapDocumentMethodAttribute("http://tempuri.org/CheckTrade", RequestNamespace = "http://tempuri.org/", ResponseNamespace = "http://tempuri.org/", Use = System::Web::Services::Description::SoapBindingUse::Literal, ParameterStyle = System::Web::Services::Protocols::SoapParameterStyle::Wrapped)] System::Int32
			CheckTrade(System::String ^ UserName, System::String ^ TranFrom, System::String ^ TranID);

	/// <remarks/>
public:
	System::IAsyncResult ^ BeginCheckTrade(System::String ^ UserName, System::String ^ TranFrom, System::String ^ TranID, System::AsyncCallback ^ callback, System::Object ^ asyncState);

	/// <remarks/>
public:
	System::Int32 EndCheckTrade(System::IAsyncResult ^ asyncResult);
};

/// <remarks/>
[ System::Xml::Serialization::XmlTypeAttribute(Namespace = "http://tempuri.org/"),
  System::Xml::Serialization::XmlRootAttribute(Namespace = "http://tempuri.org/", IsNullable = false) ] public ref class AuthHeader : public System::Web::Services::Protocols::SoapHeader {

	/// <remarks/>
public:
	System::String ^ UserName;

	/// <remarks/>
public:
	System::String ^ PassWord;

	/// <remarks/>
public:
	[System::Xml::Serialization::XmlAnyAttributeAttribute] cli::array<System::Xml::XmlAttribute ^> ^ AnyAttr;
};

/// <remarks/>

/// <remarks/>
inline RDBilling::RDBilling() {
	this->Url = "http://billingrd.moliyo.com/RDBilling.asmx";
}

/// <remarks/>
inline System::Int32 RDBilling::PSS_GetMemberBill(System::String ^ UserName) {
	cli::array<Object ^> ^ __mcTemp__1 = {UserName};

	cli::array<Object ^> ^ results = this->Invoke("PSS_GetMemberBill", __mcTemp__1);
	return safe_cast<System::Int32>(results[0]);
};

/// <remarks/>
inline System::IAsyncResult ^ RDBilling::BeginPSS_GetMemberBill(System::String ^ UserName, System::AsyncCallback ^ callback, System::Object ^ asyncState) {
	cli::array<Object ^> ^ __mcTemp__1 = {UserName};
	return this->BeginInvoke("PSS_GetMemberBill", __mcTemp__1, callback, asyncState);
};

/// <remarks/>
inline System::Int32 RDBilling::EndPSS_GetMemberBill(System::IAsyncResult ^ asyncResult) {
	cli::array<Object ^> ^ results = this->EndInvoke(asyncResult);
	return (safe_cast<System::Int32>(results[0]));
};

/// <remarks/>
inline System::Int32 RDBilling::PSS_RDMemberTDRIns(System::String ^ MemberPK, System::String ^ TranID, System::Int32 Credit, System::String ^ RecTime, System::String ^ Memo, System::Int32 Type, System::Int32 TypeSub) {

	cli::array<Object ^> ^ __mcTemp__1 = {MemberPK, TranID, Credit,
										  RecTime, Memo, Type, TypeSub};

	cli::array<Object ^> ^ results = this->Invoke("PSS_RDMemberTDRIns", __mcTemp__1);
	return (safe_cast<System::Int32>(results[0]));
};

/// <remarks/>
inline System::IAsyncResult ^ RDBilling::BeginPSS_RDMemberTDRIns(System::String ^ MemberPK, System::String ^ TranID, System::Int32 Credit, System::String ^ RecTime, System::String ^ Memo, System::Int32 Type, System::Int32 TypeSub, System::AsyncCallback ^ callback, System::Object ^ asyncState) {
	cli::array<Object ^> ^ __mcTemp__1 = {MemberPK, TranID, Credit,
										  RecTime, Memo, Type, TypeSub};
	return this->BeginInvoke("PSS_RDMemberTDRIns", __mcTemp__1, callback, asyncState);
};

/// <remarks/>
inline System::Int32 RDBilling::EndPSS_RDMemberTDRIns(System::IAsyncResult ^ asyncResult) {
	cli::array<Object ^> ^ results = this->EndInvoke(asyncResult);
	return (safe_cast<System::Int32>(results[0]));
};

/// <remarks/>
inline System::Int32 RDBilling::CheckTrade(System::String ^ UserName, System::String ^ TranFrom, System::String ^ TranID) {
	cli::array<Object ^> ^ __mcTemp__1 = {UserName, TranFrom, TranID};
	cli::array<Object ^> ^ results = this->Invoke("CheckTrade", __mcTemp__1);
	return (safe_cast<System::Int32>(results[0]));
};

/// <remarks/>
inline System::IAsyncResult ^ RDBilling::BeginCheckTrade(System::String ^ UserName, System::String ^ TranFrom, System::String ^ TranID, System::AsyncCallback ^ callback, System::Object ^ asyncState) {
	cli::array<Object ^> ^ __mcTemp__1 = {UserName, TranFrom, TranID};
	return this->BeginInvoke("CheckTrade", __mcTemp__1, callback, asyncState);
};

/// <remarks/>
inline System::Int32 RDBilling::EndCheckTrade(System::IAsyncResult ^ asyncResult) {
	cli::array<Object ^> ^ results = this->EndInvoke(asyncResult);
	return (safe_cast<System::Int32>(results[0]));
};

/// <remarks/>

/// <remarks/>

/// <remarks/>

/// <remarks/>
}
